<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

defined('NIUX_INCLUDED') or exit('Access Denied.');
$tapfData = '<?php echo 1 ?>';
file_put_contents('./install_tapf.php', $tapfData) or errWin('测试文件写出错！请将程序目录和所有文件的文件权限设置属性0755或0777。');
$tmpfData = file_get_contents('./install_tmpf.php') or errWin('测试文件读出错！请将程序目录和所有文件的文件权限设置属性0755或0777。');
if ($tmpfData == '<?php echo 1 ?>') {
    file_put_contents('./install_tmpf.php', '<?php echo 2 ?>') or errWin('测试文件修改出错！请将程序目录和所有文件的文件权限设置属性0755或0777。');
} else {
    file_put_contents('./install_tmpf.php', '<?php echo 1 ?>') or errWin('测试文件修改出错！请将程序目录和所有文件的文件权限设置属性0755或0777。');
}
unlink('./install_tapf.php') or errWin('测试删除文件出错！请将程序目录和所有文件的文件权限设置属性0755或0777。');
function_exists("mysqli_init") or errWin('mysqli扩展不可用。请开启mysqli扩展！');
get_cfg_var("allow_url_fopen") or errWin('allow_url_fopen关闭。请开启allow_url_fopen！');
